**`Dominic Doyle`[NAME]** -NL- Address:Kirchhof strasse 5a, 12055, Berlin Germany -NL- Email: ​**`dom.and.doy@gmail.com`[EMAILS_EMAIL]**​ | ​Telephone:+​49 176 29224919 -NL- https://github.com/DomDomDoy -NL- **`PERSONAL STATEMENT`[PERSONAL_DETAILS_HEADING]** -NL- Well rounded software developer and language enthusiast, that has been working in -NL- freelance/full-time in software and education for the past five years. -NL- **`EMPLOYMENT HISTORY`[WORK_EXPERIENCE_HEADING]** -NL- 09/2016 – Present -NL- **`The SaaS Co./Verne AI`[EMPLOYER_COMPANY_NAME]** -NL- Berlin, Germany -NL- **`NLP Engineer / Computational Linguist`[EMPLOYER_ROLE]** -NL- Coordination of linguistic, statistical and programming efforts -NL- Translating linguistic ideas into software designs -NL- Training language models, data management (such as extracting/preparing data for -NL- experiments with python/linux) -NL- Writing information extraction modules in python -NL- 12/2016 – Present -NL- **`MMC Productions`[EMPLOYER_COMPANY_NAME]** (http://scifin.net/) -NL- Berlin, Germany (Remote) -NL- **`Backend Programmer`[EMPLOYER_ROLE]** -NL- Managed Mysql database + PHP backend -NL- 01/2015 – 05/2015 -NL- **`UNCG Physics Department`[EMPLOYER_COMPANY_NAME]** -NL- Greensboro, North Carolina -NL- **`Web Master/ Front End Programmer`[EMPLOYER_ROLE]** -NL- Wrote Javascript animations of particle simulations to help demonstrate research -NL- 01/2015 – 05/2015 -NL- **`UNCG Math/ Computer Science Department / LAC`[EMPLOYER_COMPANY_NAME]** -NL- Greensboro, North Carolina -NL- French, German, Spanish, Math Tutor -NL- Assisted student with all levels of Math and Language classes privately and for the university. -NL- 04/2014 – 10/2014 -NL- **`UNCG Psychology Department`[EMPLOYER_COMPANY_NAME]**. -NL- Greensboro, North Carolina -NL- **`Python Programmer`[EMPLOYER_ROLE]** -NL- Wrote python programs on top of excel that combine/analyse data for eye tracking -NL- experiments to alleviate data entry -NL- coordinated with lab workers to design an effective GUI for easy use of data manipulation. -NL- 06/2014 – 08/2014 -NL- **`plusplustutoring.com`[EMPLOYER_COMPANY_NAME]** -NL- Chapel Hill, North Carolina -NL- **`PHP Web Developer`[EMPLOYER_ROLE]** -NL- Managed backend DB and write custom scripts for the displaying of dynamic content -NL- 06/2012 – 12/2012 -NL- Funcom ( ​https://www.funcom.com/​ ) -NL- Durham, North Carolina -NL- **`French/german Language Technical Support Specialist`[EMPLOYER_ROLE]** -NL- Assisted Customers with Technical Problems in English/German/French/Spanish and Russian -NL- Assisted other employees with translation -NL- 10/2011 – 03/2012 -NL- **`Kramden Institute`[EMPLOYER_COMPANY_NAME]** ​(​https://kramden.org/​) -NL- Durham, North Carolina -NL- **`Computer Technician`[EMPLOYER_ROLE]** Volunteer -NL- Disassembled and refurbished computers. -NL- 05/2009 -NL- **`Diakonie Baden`[EMPLOYER_COMPANY_NAME]** (​http://www.diakonie-baden.de/​) [Praktikum] -NL- Karlsruhe, Germany -NL- **`Computer Technician`[EMPLOYER_ROLE]** -NL- . Hardware and software testing -NL- Organizing Computer Parts -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- 09/2012 – 07/2016 -NL- **`University of North Carolina at Greensboro`[EDUCATION_INSTITUTE]** -NL- Greensboro, NC , USA -NL- Bachelor of Science in **`Computer Science, Minor in Mathematics`[EDUCATION_COURSE]**. -NL- **`ADDITIONAL SKILLS`[SKILLS_HEADING]** -NL- Fluent in German, French, English and Spanish. Conversational Russian. -NL- Technologies:  Java,  Android,  Javascript,  Cython,  C++,  Clojure,  Python,  PHP,  Mysql,  Bottle,  Flask, -NL- JQuery + JQuery plug-ins, bash scripting, linux command line, Hadoop, D3, R, Jira. -NL- 